package com.cyksj.service.distribute.equipment;

/*
 *项目名: netflix
 *文件名: EquipmentDistributeService
 *创建者: JavaZou
 *创建时间:2023/2/23 13:41
 */
public interface EquipmentDistributeService {

	/**
	 * 保存分销邀请记录
	 * sharedId: 邀请人
	 * isNewUser: 新用户
	 * userId: 被邀请人
	 */
	void saveDistributionInvitation(Long sharedId, Boolean isNewUser, Long userId);

	/**
	 * 领取权益次数增加
	 */
	void addDistributeBenefitsChance(Long userId, Long orderId);

	/**
	 * 减少权益次数
	 */
	void subDistributeBenefitsChance(Long userId, Long orderId);
}
